commit:     e87895ae81bdb1acdc62593bda0ab5ce91b0219d
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Sun Nov 20 06:58:54 2022 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Sun Nov 20 07:45:04 2022 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=e87895ae

dev-python/cheroot: Bump to 9.0.0

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 dev-python/cheroot/Manifest                        |  1 +
 dev-python/cheroot/cheroot-9.0.0.ebuild            | 79 ++++++++++++++++++++++
 .../files/cheroot-9.0.0-remove-pypytools-dep.patch | 21 ++++++
 3 files changed, 101 insertions(+)

diff --git a/dev-python/cheroot/Manifest b/dev-python/cheroot/Manifest
index be6b31626dbe..f76d75408ab0 100644
--- a/dev-python/cheroot/Manifest
+++ b/dev-python/cheroot/Manifest
@@ -1 +1,2 @@
 DIST cheroot-8.6.0.tar.gz 134779 BLAKE2B 
97d1a9bf0a8d72d3204972934aa3ac4c97246b413edebd9f38caa802a5343acc426f137addfdc0faec58f6af2d62bc22023e93b14e1b0b07f6be9ffb12e78306
 SHA512 
26e48c935fe32d4ce3cf6ae20b5b272416ca53bd8496527c2958ec2ebe87529c831f283ae900e13271b610e39531b682df0376935ecc3bcfcca11c299cd2a893
+DIST cheroot-9.0.0.tar.gz 152562 BLAKE2B 
5f5dd172cfc8fdd1318b22fc27060444a34343b6b83bbda4bd40c16d7cb0568c356f5fd14b0a7cdc74895d6707077ec54fcae54fb29b0d16a7c06e2cd36b1ee7
 SHA512 
86ea0dd2cb4cde25f86b489b1d0bb27e3e7c1ba5449759ccecaae689cdcb349b968fd0c8fb8bc8273deff5e32a078bf40f4342f0c5a1f53bb8d2b968f44a453b

diff --git a/dev-python/cheroot/cheroot-9.0.0.ebuild 
b/dev-python/cheroot/cheroot-9.0.0.ebuild
new file mode 100644
index 000000000000..f16d3e17d8a7
--- /dev/null
+++ b/dev-python/cheroot/cheroot-9.0.0.ebuild
@@ -0,0 +1,79 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{8..11} pypy3 )
+
+inherit distutils-r1
+
+DESCRIPTION="High-performance, pure-Python HTTP server used by CherryPy"
+HOMEPAGE="
+       https://cherrypy.dev/
+       https://pypi.org/project/cheroot/
+       https://github.com/cherrypy/cheroot/
+"
+SRC_URI="mirror://pypi/${PN::1}/${PN}/${P}.tar.gz"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~ppc ~ppc64 ~riscv ~sparc ~x86"
+IUSE="test-rust"
+
+RDEPEND="
+       >=dev-python/six-1.11.0[${PYTHON_USEDEP}]
+       >=dev-python/more-itertools-2.6[${PYTHON_USEDEP}]
+       dev-python/jaraco-functools[${PYTHON_USEDEP}]
+"
+BDEPEND="
+       dev-python/setuptools_scm[${PYTHON_USEDEP}]
+       test? (
+               dev-python/jaraco-context[${PYTHON_USEDEP}]
+               dev-python/jaraco-text[${PYTHON_USEDEP}]
+               dev-python/portend[${PYTHON_USEDEP}]
+               dev-python/pytest-forked[${PYTHON_USEDEP}]
+               >=dev-python/pytest-mock-1.11.0[${PYTHON_USEDEP}]
+               dev-python/requests-toolbelt[${PYTHON_USEDEP}]
+               dev-python/requests-unixsocket[${PYTHON_USEDEP}]
+               dev-python/urllib3[${PYTHON_USEDEP}]
+               test-rust? (
+                       dev-python/pyopenssl[${PYTHON_USEDEP}]
+                       dev-python/trustme[${PYTHON_USEDEP}]
+               )
+       )
+"
+
+distutils_enable_tests pytest
+
+python_prepare_all() {
+       sed -e '/--cov/d' \
+               -e '/--testmon/d' \
+               -e '/--numproc/d' \
+               -i pytest.ini || die
+
+       # broken
+       sed -i -e '/False.*localhost/d' cheroot/test/test_ssl.py || die
+       # pypytools is py2 stuff
+       sed -i -e '/pypytools/d' cheroot/test/test_server.py || die
+
+       distutils-r1_python_prepare_all
+}
+
+python_test() {
+       local EPYTEST_DESELECT=(
+               # requires pypytools, see above
+               
cheroot/test/test_server.py::test_high_number_of_file_descriptors
+       )
+
+       local EPYTEST_IGNORE=()
+       if ! has_version "dev-python/pyopenssl[${PYTHON_USEDEP}]" ||
+               ! has_version "dev-python/trustme[${PYTHON_USEDEP}]"
+       then
+               EPYTEST_IGNORE+=(
+                       cheroot/test/test_ssl.py
+               )
+       fi
+
+       epytest -p no:flaky
+}

diff --git a/dev-python/cheroot/files/cheroot-9.0.0-remove-pypytools-dep.patch 
b/dev-python/cheroot/files/cheroot-9.0.0-remove-pypytools-dep.patch
new file mode 100644
index 000000000000..8e79b2c776f4
--- /dev/null
+++ b/dev-python/cheroot/files/cheroot-9.0.0-remove-pypytools-dep.patch
@@ -0,0 +1,21 @@
+diff --git a/cheroot/test/test_server.py b/cheroot/test/test_server.py
+index 5e0a6832..6f480f40 100644
+--- a/cheroot/test/test_server.py
++++ b/cheroot/test/test_server.py
+@@ -12,8 +12,6 @@ import pytest
+ import requests
+ import requests_unixsocket
+ 
+-from pypytools.gc.custom import DefaultGc
+-
+ from .._compat import bton, ntob
+ from .._compat import IS_LINUX, IS_MACOS, IS_WINDOWS, SYS_PLATFORM
+ from ..server import IS_UID_GID_RESOLVABLE, Gateway, HTTPServer
+@@ -324,6 +322,7 @@ def test_peercreds_unix_sock_with_lookup(
+         assert peercreds_text_resp.text == expected_textcreds
+ 
+ 
[email protected]("pypytools not packaged")
+ @pytest.mark.skipif(
+     IS_WINDOWS,
+     reason='This regression test is for a Linux bug, '

Reply via email to